Package eu.mhsl.minenet.gameList.group

# Class GroupManager

java.lang.Object
eu.mhsl.minenet.gameList.group.GroupManager

public class GroupManager extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupManager()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Group`
  `createGroup(net.minestom.server.entity.Player p)`
  `static Optional<Group>`
  `findGroup(net.minestom.server.entity.Player player)`
  `static Group`
  `getGroup(net.minestom.server.entity.Player p)`
  `static void`
  `removePlayer(net.minestom.server.entity.Player p)`
  `static void`
  `setGroupLeader(Group g, net.minestom.server.entity.Player p)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GroupManager

    public GroupManager()

- ## Method Details

  - ### getGroup

    public static Group getGroup(net.minestom.server.entity.Player p)

  - ### createGroup

    public static Group createGroup(net.minestom.server.entity.Player p)

  - ### setGroupLeader

    public static void setGroupLeader(Group g, net.minestom.server.entity.Player p) throws GroupException
    Throws:
      `GroupException`

  - ### removePlayer

    public static void removePlayer(net.minestom.server.entity.Player p) throws GroupException
    Throws:
      `GroupException`

  - ### findGroup

    public static Optional<Group> findGroup(net.minestom.server.entity.Player player)